{
//=========Macro generated from canvas: c1/c1
//=========  (Fri Apr 10 17:40:22 2009) by ROOT version5.14/00
   TCanvas *c1 = new TCanvas("c1", "c1",719,107,700,530);
   gStyle->SetOptStat(0);
   c1->Range(-4.99102,-5.6366,5.00539,0.623342);
   c1->SetBorderMode(0);
   c1->SetBorderSize(2);
   c1->SetLogy();
   c1->SetFillColor(0);
   c1->SetFrameFillColor(0);
   c1->SetFrameBorderMode(0);

   int dist=1;

string title=" ";
string xtitle="log_{10}(PS/ME)";
string ytitle="Fraction of Phase Space";
double xMin=-2.0;
double xMax=2.0;
double yMin=0.00001;
double yMax=1.0;
   
  TH2D *axeshisto = new TH2D("axeshisto",title.c_str(),2,xMin,xMax,2,yMin,yMax);
  axeshisto->SetStats(0);
  axeshisto->GetXaxis()->SetTitle(xtitle.c_str());
  axeshisto->GetXaxis()->SetNdivisions(505);
  axeshisto->GetXaxis()->SetLabelFont(42);
  axeshisto->GetXaxis()->SetLabelSize(0.044);
  axeshisto->GetXaxis()->SetTitleSize(0.044);
  axeshisto->GetXaxis()->SetTitleFont(42);
  axeshisto->GetYaxis()->SetTitle(ytitle.c_str());
  axeshisto->GetYaxis()->SetNdivisions(508);
  axeshisto->GetYaxis()->SetLabelFont(42);
  axeshisto->GetYaxis()->SetLabelSize(0.044);
  axeshisto->GetYaxis()->SetTitleSize(0.044);
  axeshisto->GetYaxis()->SetLabelOffset(0.01);
  axeshisto->GetYaxis()->SetTitleOffset(1.05);
  axeshisto->GetYaxis()->SetTitleFont(42);
  axeshisto->SetTitle("");
  axeshisto->Draw();

  // File names
  string base="root/vc01kin4Sum";
  string s0=base+"-def-ev1-kin1-had1q1tun1-ord-p5-m1-T3-q3.root";
  string s1=base+"-def-ev1-kin2-had1q1tun1-ord-p5-m1-T3-q3.root";
  string s2=base+"-def-ev1-kin3-had1q1tun1-ord-p5-m1-T3-q3.root";
  string s3=base+"-def-ev2-kin1-had1q1tun1-ord-p5-m1-T3-q3.root";
  string s4=base+"-def-ev2-kin2-had1q1tun1-ord-p5-m1-T3-q3.root";

  // Open files and move to dummy directory
  TFile vc0(s0.c_str());
  TFile vc1(s1.c_str());
  TFile vc2(s2.c_str());
  TFile vc3(s3.c_str());
  TFile vc4(s4.c_str());

// Open dummy file
  TFile mydum("dum.root");

  // Open histograms
  string HName="weightsLog10";
  TH1F H0 = *(TH1F*)vc0.Get(HName.c_str());
  TH1F H1 = *(TH1F*)vc1.Get(HName.c_str());
  TH1F H2 = *(TH1F*)vc2.Get(HName.c_str());
  TH1F H3 = *(TH1F*)vc3.Get(HName.c_str());
  TH1F H4 = *(TH1F*)vc4.Get(HName.c_str());
  H2->GetXaxis()->SetRange(1,98);
  TH1F H22 = *(TH1F*)vc2.Get(HName.c_str());
  H22->GetXaxis()->SetRange(99,100);
  
//Format histos
   H0->SetFillColor(2);
   H0->SetFillStyle(3004);
   H0->SetLineColor(2);
   H2->SetFillColor(5);
   H2->SetLineColor(5);   
   H1->SetFillColor(4);
   H1->SetLineColor(4);
   H22->SetFillColor(5);
   H22->SetLineColor(5);
   H3->SetFillColor(16);
   H3->SetLineColor(16);
   H4->SetFillColor(3);
   H4->SetLineColor(3);

   if (dist == 1) {
     H0->Draw("same");
     H3->Draw("same");
     H4->Draw("same");
     H2->Draw("same");
     H1->Draw("same");
     H22->Draw("same");

     TH1F H0Line = H0;
     TH1F H1Line = H1;
     TH1F H2Line = H2;
     TH1F H3Line = H3;
     TH1F H4Line = H4;
     H1Line->SetFillStyle(0);
     H2Line->SetFillStyle(0);
     H3Line->SetFillStyle(0);
     H4Line->SetFillStyle(0);
     H0Line->SetFillStyle(0);
     H1Line->Draw("same");
     H2Line->Draw("same");
     H2Line->Draw("same");     
     H4Line->Draw("same");
     H3Line->Draw("same");
     H0Line->Draw("same");
   } else if (dist == 2) {
     H0->Draw("same");
     T1sct->Draw("same");     
   } else if (dist == 3) {
     T1sctUno->Draw("same");     
     T1sct->Draw("same");     
     T1sctOrd->Draw("same");     
     TH1F H1Line = T1sct;
     TH1F H2Line = T1sctUno;
     TH1F H3Line = T1sctOrd;
     H2Line->SetLineWidth(3);
     H1Line->SetFillStyle(0);
     H2Line->SetFillStyle(0);
     H3Line->SetFillStyle(0);
     H3Line->Draw("same");
     H2Line->Draw("same");
     H1Line->Draw("same");
   } else if (dist == 4) {

     //     H3->Draw("same");
     //     T3->Draw("same");
     H2->Draw("same");
     H1->Draw("same");
     T1->Draw("same");
     H22->Draw("same");

     TH1F H1Line = H1;
     TH1F H2Line = H2;

     H1Line->SetFillStyle(0);
     H2Line->SetFillStyle(0);

     H1Line->Draw("same");
     H2Line->Draw("same");
     
     T2->SetLineColor(6);
     T2->Draw("same");
   }

   

// Draw legend
  TLegend *leg = new TLegend(0.12,0.58,0.45,0.82,NULL,"rNDC");
  leg->SetBorderSize(0);
  leg->SetFillStyle(0);
  leg->SetTextFont(42);
  
// Legend title
  double x1   =-3.7;
  double y1   = 0.4;
  double tSiz = 0.03; 
  double gSiz = 0.04; 
tex = new TLatex(x1,y1,"Ordering Type");
tex->SetTextFont(42);
tex->SetTextAlign(11);
tex->SetTextSize(gSiz);
tex->SetLineWidth(2);
tex->Draw();

   if (dist == 1 || dist == 2 ) {
     string titPS = "None";
     if (dist == 2) titPS = "GGG (global, no ord)";
     titPS = s0;
     TLegendEntry *entry=leg->AddEntry("NULL",titPS.c_str(),"l");
     entry->SetLineColor(2);
     entry->SetFillStyle(3006);
     entry->SetFillColor(2);
     entry->SetLineStyle(1);
     entry->SetLineWidth(1);
     entry->SetTextAlign(12);
     entry->SetTextSize(tSiz);
     entry->SetTextColor(1);
     leg->Draw();

     if (dist == 1) {
       
       titPS =  s1;
       TLegendEntry *entry=leg->AddEntry("NULL",s1.c_str(),"l");
       entry->SetLineColor(4);
       entry->SetFillStyle(0);
       entry->SetFillColor(0);
       entry->SetLineStyle(1);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();
       
       titPS =  s2;
       TLegendEntry *entry=leg->AddEntry("NULL",s2.c_str(),"l");
       entry->SetFillStyle(1);
       entry->SetFillColor(5);
       entry->SetLineStyle(1);
       entry->SetLineColor(5);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();

       titPS =  s3;
       TLegendEntry *entry=leg->AddEntry("NULL",s3.c_str(),"l");
       entry->SetFillStyle(1);
       entry->SetFillColor(15);
       entry->SetLineStyle(1);
       entry->SetLineColor(15);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();


     } else { 
       TLegendEntry *entry=leg->AddEntry("NULL","GKS (sector, no ord)","l");
       entry->SetLineColor(8);
       entry->SetFillStyle(3005);
       entry->SetFillColor(8);
       entry->SetLineStyle(1);
       entry->SetLineWidth(1);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();
     }
   } else if (dist == 3) {
     TLegendEntry *entry=leg->AddEntry("NULL","Sector","l");
       entry->SetFillStyle(1);
       entry->SetFillColor(30);
       entry->SetLineStyle(1);
       entry->SetLineColor(30);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();

     TLegendEntry *entry=leg->AddEntry("NULL","Sector (with NLL-factor)","l");
       entry->SetFillStyle(1);
       entry->SetFillColor(42);
       entry->SetLineStyle(1);
       entry->SetLineColor(42);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();

     TLegendEntry *entry=leg->AddEntry("NULL","Sector (with strong pT-ord)","l");
       entry->SetFillStyle(1);
       entry->SetFillColor(34);
       entry->SetLineStyle(1);
       entry->SetLineColor(34);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();



   } else if (dist == 4) {

       TLegendEntry *entry=leg->AddEntry("NULL","p_{T}","l");
       entry->SetLineColor(4);
       entry->SetFillStyle(0);
       entry->SetFillColor(0);
       entry->SetLineStyle(1);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();
       
       TLegendEntry *entry=leg->AddEntry("NULL","p_{T} with NLL-factor","l");
       entry->SetLineColor(3);
       entry->SetFillStyle(0);
       entry->SetFillColor(0);
       entry->SetLineStyle(1);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();

       TLegendEntry *entry=leg->AddEntry("NULL","m_{ant}","l");
       entry->SetFillStyle(1);
       entry->SetFillColor(5);
       entry->SetLineStyle(1);
       entry->SetLineColor(5);
       entry->SetLineWidth(20);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();

       TLegendEntry *entry=leg->AddEntry("NULL","m_{ant} with NLL-factor","l");
       entry->SetLineColor(6);
       entry->SetFillStyle(3006);
       entry->SetFillColor(6);
       entry->SetLineStyle(1);
       entry->SetLineWidth(1);
       entry->SetTextAlign(12);
       entry->SetTextSize(tSiz);
       entry->SetTextColor(1);
       leg->Draw();

   }
     

   // Draw line
   TLine *line = new TLine(0.0,1.0e-05,0.0,1.0);
   line->SetLineStyle(2);
   line->Draw();

   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
   c1->ToggleToolBar();
}
